Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgUtil::HighlightMapGenerator Class Reference

This cube map generator produces a specular highlight map. More...

Inheritance diagram for osgUtil::HighlightMapGenerator:

[legend]
List of all members.

## Public Member Functions
| HighlightMapGenerator (const osg::Vec3 &light_direction, const osg::Vec4 &light_color, float specular_exponent, int texture_size=64)
| HighlightMapGenerator (const HighlightMapGenerator &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
## Protected Member Functions
virtual | ~HighlightMapGenerator ()
HighlightMapGenerator & | operator= (const HighlightMapGenerator &)
virtual osg::Vec4 | compute_color (const osg::Vec3 &R) const
| Override this method to define how colors are computed.

## Detailed Description

This cube map generator produces a specular highlight map.

The vector-color association is: C = (R dot (-L)) ^ n, where C is the resulting color, R is the reflection vector, L is the light direction and n is the specular exponent.

## Constructor & Destructor Documentation

osgUtil::HighlightMapGenerator::HighlightMapGenerator | ( | const osg::Vec3 & | light_direction,
|  | const osg::Vec4 & | light_color,
|  | float | specular_exponent,
|  | int | texture_size = 64
| ) |

osgUtil::HighlightMapGenerator::HighlightMapGenerator | ( | const HighlightMapGenerator & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) |

virtual osgUtil::HighlightMapGenerator::~HighlightMapGenerator | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

osg::Vec4 osgUtil::HighlightMapGenerator::compute_color | ( | const osg::Vec3 & | R | ) | const`[inline, protected, virtual]`

| Override this method to define how colors are computed. The parameter R is the reflection vector, pointing from the center of the cube. The return value should be the RGBA color associated with that reflection ray. Implements osgUtil::CubeMapGenerator.

HighlightMapGenerator& osgUtil::HighlightMapGenerator::operator= | ( | const HighlightMapGenerator & |  | ) | `[inline, protected]`

The documentation for this class was generated from the following file:

- HighlightMapGenerator